summaryrefslogtreecommitdiffstats
path: root/jjb/hc2vpp/include-raw-hc2vpp-csit-verify.sh
diff options
context:
space:
mode:
authorVanessa Rene Valderrama <vvalderrama@linuxfoundation.org>2016-12-12 17:24:10 +0000
committerGerrit Code Review <gerrit@fd.io>2016-12-12 17:24:10 +0000
commitc30e95d9b01d1596fd9e80b65b459e2b26c3b79b (patch)
treef8662834cafda516c9edbc2e1cfe1a3b0272cb01 /jjb/hc2vpp/include-raw-hc2vpp-csit-verify.sh
parent52cbed35ba66e9874acec2b140ae55002eaad563 (diff)
parentc96e29af295322912aad05b3170a639f0ffefc51 (diff)
Merge "CSIT-484: New csit-hc2vpp job set"
Diffstat (limited to 'jjb/hc2vpp/include-raw-hc2vpp-csit-verify.sh')
-rw-r--r--jjb/hc2vpp/include-raw-hc2vpp-csit-verify.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/jjb/hc2vpp/include-raw-hc2vpp-csit-verify.sh b/jjb/hc2vpp/include-raw-hc2vpp-csit-verify.sh
new file mode 100644
index 000000000..cb75c2338
--- /dev/null
+++ b/jjb/hc2vpp/include-raw-hc2vpp-csit-verify.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+set -xeu -o pipefail
+
+# create HC .deb packages
+if [ "${OS}" == "ubuntu1404" ]; then
+
+ ./packaging/deb/trusty/debuild.sh
+ cp ./packaging/deb/trusty/*.deb ./
+
+elif [ "${OS}" == "ubuntu1604" ]; then
+
+ ./packaging/deb/xenial/debuild.sh
+ cp ./packaging/deb/xenial/*.deb ./
+fi
+
+cd csit
+# execute csit bootstrap script if it exists
+if [ ! -e bootstrap-hc2vpp-verify.sh ]
+then
+ echo 'ERROR: No bootstrap-hc2vpp-verify.sh found'
+ exit 1
+else
+ # make sure that bootstrap.sh is executable
+ chmod +x bootstrap-hc2vpp-verify.sh
+ # run the script
+ ./bootstrap-hc2vpp-verify.sh
+fi
+
+# vim: ts=4 ts=4 sts=4 et : \ No newline at end of file